02/04/2012: Version 0.19.0
--------------------------

* ADDED:    Support for the {@link} tag
* FIXED:    Elements did not receive a package when they did not have a DocBlock
            and were thus missing in the package view.
* FIXED:    Errors when using @access: Node no longer exists

01/10/2012: Version 0.18.1
--------------------------

* FIXED:    PHP 5.2.x incompatibility
* FIXED:    Error in line numbers with error codes
* ADDED:    Error codes are added in the structure.xml for parse errors to ease
            of filtering
* ADDED:    New replacement variable {UNPREFIXED_CLASS} for the external class
            documentation feature to get the class part without the given prefix.
* CHANGED:  Order of precedence for determining what URL to link to for a type;
            External Class documentation precedes phpDocumentor docs which precede
            the PHP.net manual. This goes from most explicit to most implicit.
* FIXED:    Long texts containing XML characters caused issues; altered
            phpDocumentor to put those in a CDATA sections.
* FIXED:    @deprecated was duplicated during inheritance and thus shown multiple
            times in the reports.
* FIXED:    Incremental processing failed due to erroneous importing of nodes.

01/08/2012: Version 0.18.0
--------------------------

* ADDED:    Documentation was expanded
* FIXED:    All files match the PEAR coding standard
* CHANGED:  Refactored Reflection to be more independent; moved
            reflection.docblock-extraction.post event to the point where all
            tokens have been processed.
* ADDED:    if there is a @param tag but no corresponding argument; an error
            is thrown.
* CHANGED:  Deprecated ant build file and moved everything into one phing file.
* CHANGED:  Improved file-level docblock recognition to match that of
            phpDocumentor for backward compatibility.
* ADDED:    ignore-tags command-line argument to filter out specific tags
* FIXED:    Inheritance was not applied correctly when files were not in
            subsequent order
* CHANGED:  Moved XML building out of the Reflection classes; first step in
            custom formatters
* ADDED:    New 'default' parameter 'generated_datetime' in the Xsl writer.
            Allows theme authors to output generated dates.
* FIXED:    Arrays with multiple elements were cut-off for property defaults
* FIXED:    When using the `declare` command as first in the file then the
            file-level docblock is not recognized
* ADDED:    Now it is possible to provide a target file with the parsing action.
            Instead of always generating to structure.xml you can provide anything
            as long as it is suffixed with .xml; in addition to only providing a
            folder.
* FIXED:    Constants that were defined using a 'define' construct didn't
            recognize their DocBlock.
* ADDED:    DocBlocks preceding a require(_once) or include(_once) are now parsed
            and added to the structure file. They are not yet visible in the
            template.

12/24/2011: Version 0.17.2
--------------------------

* FIXED:    Error with invalid markers names; when using special characters
            the XMl writing would fail due to an invalid element name.

12/15/2011: Version 0.17.1
--------------------------

* FIXED:    Installation task of template did not work correctly due to a bug
* ADDED:    Added a submodule to the abstract template (new default)
* ADDED:    Added a submodule to the new_black template (old default)

12/11/2011: Version 0.17.0
--------------------------

* FIXED:    Trimming long description to prevent redundant whitelines
* FIXED:    Defaulted Font name in Graph generation from Courier New to Courier
            to improve cross-browser compatibility
* FIXED:    Multiple @todos in one DocBlock were incorrectly inherited
* FIXED:    Basic types had the namespace prepended in certain cases
* CHANGED:  Completely refactored inheritance to make it simpler and faster
* ADDED:    Class constants are now inherited as well
* CHANGED:  Renamed everything theme-related to template; this makes it simpler
            to work with templates
* CHANGED:  Moved templates to external packages
* ADDED:    New task template:install to automatically install templates
* ADDED:    Created website templates.phpdoc.org to showcase the
            templates and give the installation commands.
* ADDED:    New task template:package to package templates
* FIXED:    Zend template CSS issues.
* ADDED:    New (base) template: 'abstract'
* BC-BREAK: Templates opened using an absolute path will no longer be copied to
            the 'cache' subfolder but are copied to data/templates just like any
            other template.
            NOTE: this action overwrites any existing template with the same
            name.
* CHANGED:  Updated template:generate task with new base template information
            and to incorporate the changed necesary for above BC-BREAK.
* FIXED:    Transformation parameters were not interpreted correctly.
* BC-BREAK: Renamed 'default' template to 'new_black'

11/14/2011: Version 0.16.0
--------------------------

* ADDED:    Checkstyle format output of errors using the `checkstyle` theme.
            Big thanks to @benmatselby for contributing this!
* FIXED:    phar files were broken
* FIXED:    transform.pre event signature was incorrect
* FIXED:    Search in sidebar is now case-insensitive
* FIXED:    When using a slash in the title it always became a double slash
* ADDED:    new argument --sourcecode which creates highlighted source code and
            links from the reference docs.
* ADDED:    @benmatselby added a new feature which allows the configuration to
            determine which tags are deprecated and which are required. With
            this the user can indicate per element type which tags must be there.
* FIXED:    Classes with names equal to keywords would cause issues
* FIXED:    Pipe separator was not shown for properties in the details section
* FIXED:    HTML formatting of title did not function
* UPDATED:  Configuration documentation
* FIXED:    Superfluous slashes and underscores in the Graph
* FIXED:    Class Diagram was not visible when dealing with a large class graph.
* FIXED:    TODO items were duplicated during when attached element was inherited.
* FIXED:    API listing is re-introduced into the sidebar

10/06/2011: Version 0.15.1
--------------------------

* FIXED:    Markdown repository was down and require doesn't work without it
* FIXED:    Sidebar attribution links now target top instead of opening in the
            sideframe.
* FIXED:    Sidebar is now better re-usable, split up into different templates
            so you can inherit/import a template and add your own additions.
* FIXED:    Showing and hiding of elements by visibility was broken due to a
            last-minute regression.

10/02/2011: Version 0.15.0
--------------------------

* ADDED:    Plugins; phpDocumentor now fully supports external enhancements. Please
            see the docs for an expanded description.
* ADDED:    Sidebar has been renewed for improved style, ux, loading times and
            room for additional elements.
* ADDED:    Collapse all and expand all actions in the file, namespace and
            package view
* ADDED:    Filtering posibility; in the veiws mentioned above you can search
            for items that you'd want.
* ADDED:    Additional validations which check for errors in your source code,
            including (but not limited to):
            * No package in docblock but has @subpackage
            * No short description
            * No Docblocks on functions
            * No Docblocks on classes
* ADDED:    @deprecated tags are reported
* ADDED:    Parse errors page now shows a success notification when there are
            no errors.
* ADDED:    Markers page now shows a success notification when there are
            no errors.
* FIXED:    @uses could error when mentioning a method
* FIXED:    Graph generation could crash if a class name contained illegal
            characters
* FIXED:    Abstract classes had the wrong label in the class diagram
* FIXED:    Improved argument default value finding algorithm to not skip )
            in array()
* FIXED:    procedural functions and constants did not receive the package from
            the File docblock.
* REMOVED:  Search has been temporarily removed to be re-evaluated; it will be
            re-introduced in a near-future version.

09/19/2011: Version 0.14.1
--------------------------

FIXED:      Firefox layout broke with some versions
FIXED:      @uses was not parsed correctly when only one namespace part was
            provided; the system believed the XPath query to be incorrect
FIXED:      defaults of parameters and CONSTANT values were not fully retrieved
FIXED:      Pipe sign was missing in return type when using multiple types
FIXED:      Project:list task was broken
FIXED:      @version was mistakenly recognized as @Version of Doctrine
FIXED:      Constant values are now more accurately displayed instead of quotes
            added by default
FIXED:      Moved anchors so click-through would no longer end up underneath the
            header

09/04/2011: Version 0.14.0
--------------------------

* BC-BREAK: phpDocumentor_Parser::parseFiles() now accepts a phpDocumentor_Parser_Files instance instead of an array of file names.
            Anyone using the command line will not notice this BC break but if you use phpDocumentor_Parser directly this will
            affect your application. Please check phpDocumentor_Task_Parse how to use this new object.
            The change has been done to be able to control the file selection process in more detail and spot/fix bugs
            with ignore paths and more.
* ADDED:    EventDispatcher to coordinate logging efforts and make phpDocumentor extra extensible.
* CHANGED:  Refactored transformer behaviour to use an abstract base class instead of an interface to support logging
* CHANGED:  Refactored application architecture to contain components
* ADDED:    Started work on plugins
* CHANGED:  Moved `ignore` config section to parser
* FIXED:    Splitter implementation
* ADDED:    The project root (from where relative paths are calculated) when
            only 1 directory is given is set to that folder instead of the first
            sub-folder containing a parsable file.
* ADDED:    Directories also support wildcards now
* ADDED:    {@inheritdoc} can now also be used in the short description; when
            used there then the long description will also act as if it has the
            {@inheritdoc} inline tag.
* ADDED:    Support for the inline {@internal ...}} tag; contents of this will
            only be shown when the --parseprivate directive is enabled
* ADDED:    Method, property and constant names are now clickable and will expand the details section
* ADDED:    Expanding arrow is now only visible when there are details to expand
* FIXED:    Arguments that were converted into markdown got paragraph tags and
            normal arguments did not; this gave alignment issues
* FIXED:    Additional whitespaces were removed
* FIXED:    Parents that were not present in the current project did not show
* FIXED:    'Inherited from' entries that were not present in the current project did not show
* ADDED:    New option 'default-package-name' in command line and configuration
            to set the name of the package when none is provided by an element.
* ADDED:    added external-class-documentation directive to configuration to
            allow linking to API documentation of external classes.
* ADDED:    Support for @method
* ADDED:    Doctrine annotations are now parsed; their arguments clearly shown
            in a table and a link is provided directly to their docs.
* FIXED:    Default namespace is no longer indicated in the class diagram as
            this effectively is a meta-namespace.
* ADDED:    Buttons to hide methods, properties and constants based on visibility
            and whether they are inherited.
* ADDED:    Additional indicators with inherited methods to make it clearer that
            they are inherited and to add a 'icon association' between the hide
            button and the inherited methods
* CHANGED:  Only public methods are visible by default to promote use of API
* FIXED:    Private methods were also tagged as inherited in a subclass; whilst
            you can never call a private method from a superclass in a subclass.
* FIXED:    Properties were not shown as inherited members; they have now been
            added.

08/21/2011: Version 0.13.3
--------------------------

* FIXED:    Empty tag description could cause alignment issues
* FIXED:    Inline markdown code elements were transformed into blocks (#201)
* FIXED:    @throws now links to the exception, thanks to @dbu
* FIXED:    @throw tags will be converted to @throws during the parsing; thanks to @dbu
* FIXED:    directories that are given in the config are not used when a file is given.
* FIXED:    The batch file for Windows installations do not work.

08/15/2011: Version 0.13.2
--------------------------

* FIXED:    during graph generation it could occur that nodes were left empty,
            which caused graph generation to fail: thanks to @tacker
* FIXED:    ZendX_Autoloader contained a bug where the version determination was
            off with 2 build numbers: thanks to @mrook
* FIXED:    Description for @return tag was not shown
* FIXED:    Regression issue which caused inheritance to no longer function
* ADDED:    Documentation in the docs/manual folder and the sphinx files to
            accompany.
* FIXED:    Methods without return values did not show anything at the end;
            changed that to void to make it clear.
* FIXED:    property-read and property-write did not function correctly
* FIXED:    if an @uses type contains a apostrophe then the Uses behaviour
            would fatal. Example: $GLOBAL['MyGlobal']

08/09/2011: Version 0.13.1
--------------------------

* FIXED:    Constants name NAMESPACE caused issues in the name detection
* FIXED:    Property descriptions were not shown
* FIXED:    property's static attribute was shown as simple label
* FIXED:    Tag descriptions became double HTML encoded
* ADDED:    Inherited method's names are gray instead of blue so that it is
            obvious which is inherited and which is declared
* FIXED:    E_STRICT error in code
* FIXED:    @uses from and to a function (instead of method) caused errors
* FIXED:    Issue with a filename causing Jenkins to have troubles

08/08/2011: Version 0.13.0
--------------------------

* FIXED:    @see now generates a link to the appropriate section in the
            documentation.
* ADDED:    Class descriptions now show a list of @see links to which they refer
            instead of showing them in the sidebar.
* ADDED:    @property, @property-read and @property-write are now shown as 'real'
            properties in de class listing.
* ADDED:    @param descriptions are now parsed for Markdown syntax.
* ADDED:    @uses now generates a link to the used element and generates a new
            tag @used_by on the target element.
* REMOVED:  Description excerpts in the sidebar to increase performance and usability.
* ADDED:    Methods from super classes are now visible in a child class
* CHANGED:  File overview UI is changed to reduce clutter and be more visual appealing.
* ADDED:    Allowed visibility can now be specified in the phpdoc.xml configuration
            file; see phpdoc.tpl.xml to see where.
* ADDED:    @author and @license tags now show a link and (more) human-readable
            text; thanks to @dzuelke

05/08/2011: Version 0.12.3
--------------------------

* FIXED:    Invoking class_exists on finfo without the Fileinfo extension threw
            a warning. Fixed by exchanging this for a call to extension_loaded.
* FIXED:    The inheritance part of the transformation broke when a class
            contained invalid characters. Expanded class name recognition to
            allow illegal characters and added a security check to prevent such
            problems in the future.
* FIXED:    Missing docblocks could cause a crash during inheritance creation
* FIXED:    @return false now interprets false as a literal meta-'type' and
            does not add the namespace anymore.
* FIXED:    encoding detection now also tries a different approach when the
            detected type is binary, which can hardly be true.
* FIXED:    Files are now generated with db_ instead of an underscore because
            Github Pages won't display pages starting with a single underscore.
* FIXED:    @param descriptions were improperly escaped

27/07/2011: Version 0.12.2
--------------------------

* FIXED:    Using http://pear.zfcampus.org as PEAR dependency breaks the
            environments of users who have their own ZF version in the include
            path. Additionally the inclusion made the download larger than
            necessary.
* FIXED:    Removed wkhtmltopdf binary; PDF generation is not widely used yet
            and it only caused the download to increase with 11MB. This will
            be reintroduced later as dependency.

26/07/2011: Version 0.12.1
--------------------------

* FIXED     Default package was always shown when a file-level constant was
            present and the file did not have a @package tag.
* FIXED:    Graph was not generated if the tmp path contained a space
* FIXED:    if a long description contained special characters then generation
            failed.
* FIXED:    Transformation crashed when a parent and child element were both
            marked with @internal or @ignore.
* FIXED:    The parser crashed when the `glob` call when using the -f argument
            fails; the file retrieval has been changed to only use glob when
            either *, ? or [ is present in the string (as determined in the
            glob man page); otherwise a glob is attempted. if glob fails then
            the pattern is ignored and a message shown.
* FIXED:    Generating documentation on PHP 5.2.x was broken; Class could not
            be found errors was shown due to inclusion of namespace slash

07/17/2011: Version 0.12.0
--------------------------

* ADDED:    Support for the @internal tag (do not document this tag if the
            `parseprivate` option is not provided). Thanks to @kix for
            contributing this code.
* ADDED:    Support for the @ignore tag (do not document element containing this
            tag at all). Thanks to @kix for contributing this code.
* FIXED:    Properties and methods in the class overview are now sorted by name.
* ADDED:    phpDocumentor returns non-zero codes when failing. Thanks to @trii for
            contributing the code.
* ADDED:    Support for documenting the contents of phar archives
* REMOVED:  Dependency on PEAR component Image_GraphViz
* ADDED:    Class Inheritance Diagram now shows `implements` relations between
            classes and interfaces.
* REMOVED:  Class Inheritance Diagram no longer shows a stdClass super-parent
* ADDED:    Class Inheritance Diagram now groups classes per namespace and shows
            that namespace name to make relations clearer
* FIXED:    Class Inheritance Diagram no longer breaks out of the frame when
            navigating to a class' definition.
* FIXED:    Improved Ignore handling
* FIXED:    Scalars are no longer prefixed with a \
* ADDED:    Internal classes (PHP core classes + extensions) will now redirect
            to the PHP man pages
* ADDED:    Sidebar is now resizeable (javascript is required for this)
* ADDED:    Support for $this and self as type in an @return tag; the type will
            automatically be replaced with the class where the method is defined
            and a new tag @fluent will be added.
* FIXED:    subpackage tags are no longer inherited if the super and sub class'
            package names differ; this causes mismatches in user expectation and
            the package index in the structure file no longer matches reality.
            The latter causes the classes to be omitted from the package
            section of the sidebar navigation.
* FIXED:    when providing a class / element name to @link it will find the
            corresponding documentation. Please note that this is not adviced;
            please use @see to look up elements. This functionality is provided
            as backwards compatibility for phpDocumentor.
* ADDED:    The method, property and constants mentioned in the class sidebar
            can now be collapsed.

06/12/2011: Version 0.11.0
--------------------------

* FIXED:    transform.php and parse.php referred to phpdoc.php but this is no
            longer present in a PEAR installation
* FIXED:    If you accidentally use a CONSTANT as name for a define instead of
            a literal string will phpDocumentor throw an error and skip parsing of that
            constant.
* CHANGED:  Tweaked the splitting of a DocBlock to better support foreign characters
* ADDED:    theme:list task to show which themes are natively present
* ADDED:    theme:generate task to generate a skeleton theme/template
* ADDED:    Support for relative paths in the ignore argument; relative path is
            counted from the project origin.
* FIXED:    Made several performance improvements
* ADDED:    New option --visibility: you can limit which methods are included
            during generation of the Docs.
* CHANGED:  Reflection tag classes were altered to make them more easily extendable
* CHANGED:  Errors about issues in DocBlocks have been improved
* FIXED:    Tags were not separated if they were preceded by more than 1 whitespace character.
* CHANGED:  Rewritten the README to match the current state of the project.
* ADDED:    Color coding of elements to indicate the visibility
* ADDED:    Transformation Behaviours: ad hoc business logic that adds meta data onto
            the structure.xml pre-transformation.
* ADDED:    Inheritance of Interface, Class, Property and Method DocBlocks; please refer to
            /docs/manual/04 - Anatomy of a DocBlock.md for a complete description.
* FIXED:    Packaging contained an error where the contents of the batch file were incorrectly generated
* FIXED:    PHP files without PHP Content (template files) caused a notice
* FIXED:    When DocBlocks contained a FQCN phpDocumentor did not link it to the right page
* ADDED:    Tag definitions, this allows content creators to define how tags are added to the structure file
* FIXED:    phpDocumentor fatalled when it encountered a folder which it did not have permission to; now it ignores it

05/08/2011: Version 0.10.0
--------------------------

* FIXED:    phpDocumentor no longer throws E_STRICT errors due to the usage of Image_Graphviz
* FIXED:    The type information in the method/function signature had an extra | appended
* FIXED:    Writing of parameters to XML failed with by reference arguments due to the &
* FIXED:    Arguments with an & were not interpreted by the class detection to create links in the docs
* FIXED:    Extra spaces in front of the first @ in a tag block would cause parsing errors
* ADDED:    @throw and @throws are now both clickable and take you to the given class (when found)
* CHANGED:  Landing page of Zend template to prevent crashing or long loading browsers
* CHANGED:  Landing page of default and frames template now show a placeholder paqe to prevent crashing or long loading browsers
* ADDED:    Symbols to the sidebar indicating whether a class or interface is shown
* CHANGED:  Updated templates
* ADDED:    by @benmatselby: Made @link clickable, it opens the given destination
* CHANGED:  Made the Tasks use a runner so that you can easily re-use tasks in one another (as is done in the project:run task)
* FIXED:    project:run task was broken; it crashed when you provided any arguments
* FIXED:    Include path in phpdoc.php was included twice and a suffixing / was present in one of the added paths
* FIXED:    by @benmatselby: Runner was split into a TaskRunner and ApplicationRunner
* FIXED:    Files who were detected as unknown-8bit encoding were not parsed
* CHANGED:  README was moved to README.md to clarify that the file uses Markdown support
* ADDED:    Dependencies to the PEAR package generation for Zend, Markdown and Image_Graphviz
* REMOVED:  Zend, Markdown and Image_GraphViz from the package.xml files listing
* FIXED:    Permissions for phpdoc.php, parser.php and transform.php to have the execute flag
* ADDED:    by @benmatselby: Introduced DocBlock validators where we can add a validation per structure type (method, class, file, etc)
* FIXED:    @todo was not picked up correctly
* ADDED:    defines are now detected and parsed as constants
* FIXED:    Detection code relies on PHP 5.3 constants; added conditional defines for them
* CHANGED:  Task runner was made more generic; a new application runner was introduced and performance optimizations were done
* CHANGED:  Moved subpackages to top of content listing for a package in the left sidebar
* ADDED:    Files listing in default template
* FIXED:    Property types did not link
* FIXED:    Extends and implements were not shown
* FIXED:    Several styling issues with FireFox and Internet Explorer
* ADDED:    Functions to sidebar
* CHANGED:  About anything and everything concerning the theme, it is more clean and feature rich than the previous
* ADDED:    A new API section in the sidebar showing all elements marked as public API using the @api tags
* FIXED:    description of @return was double-escaped
* ADDED:    Templates / Themes can now be created outside the phpDocumentor directory structure and invoked
            by giving an existing path (absolute or relative) to the --template argument.
* CHANGED:  Merged templates and themes folder to become consistent with external templates and
            because duplication was deemed unnecessary

04/02/2011: Version 0.9: Improve Theming and CLI
------------------------------------------------

* ADDED:    Templating support; it is now possible to mix and match transformations and actions in a template configuration.
* FIXED:    Added support for PEAR packages by adding a package.xml and moving directories
* ADDED:    phpdoc.bat for use in windows environments (thanks to Tyrael)
* FIXED:    Invoking phpDocumentor from an arbitrary location (to aid in the PEAR package)
* ADDED:    Redesigned phpDocumentor template
* ADDED:    New template 'frames' for frame display
* ADDED:    New template 'Zend' for Zend Framework
* FIXED:    Changed phpDocumentor to support frames based templates
* FIXED:    Added links for types in the signature of a method
* FIXED:    Made changes in the generic styling to increase uniformity
* FIXED:    Github issue 24: FILEINFO_MIME_ENCODING is not supported on PHP 5.2.x
* FIXED:    Github issue 23: detection whether log file can be written always detected false
* ADDED:    Move the configuration code from phpDocumentor_Abstract to phpDocumentor_Config
* ADDED:    Moved the logging code from phpDocumentor_Abstract to phpDocumentor_Log
* ADDED:    Quiet mode to transform and parse
* ADDED:    New tasks system (inspired by Symfony 1.x)
* ADDED:    Transformed parse and transform into tasks
* ADDED:    List task which lists all available tasks
* REMOVED:  sfTimer, replaced it with microtime calls
* ADDED:    Re-implemented Search in the new templates
* ADDED:    @throw and @throws are now clickable and redirect to the right page
* ADDED:    Support for adding your own project title using the --title command line argument or in the configuration
* FIXED:    Interfaces were not shown in the class tree
* FIXED:    Click-through on interfaces did not work
* FIXED:    New window was opened when clicking on a link in the default theme
* FIXED:    Closures no longer generate warnings
* FIXED:    Incremental parsing was broken due to refactorings with the filenames
* ADDED:    Missing docblock errors now show the file in which they occurred
* FIXED:    path name was not truncated to the base level; the full path was shown
* FIXED:    The namespaces tree went out of bounds with certain classnames; this has been fixed
* ADDED:    Made extends and implements sections click-through.
* FIXED:    Classes without @package were not shown in the package overview
* FIXED:    Added ordering to classes in overview
* ADDED:    Classes in the class diagram are now clickable and will take you to their documentation page.
* ADDED:    Markdown support to Long Descriptions in DocBlock
* ADDED:    Changed directory structure to match PEAR2 standards for recognizability
* ADDED:    Support for automatic parsing of phpdoc.xml or phpdoc.dist.xml config files in the working folder
* ADDED:    Task 'phpdoc project:run': executes a parse and transform in one go
* FIXED:    Default namespace is no longer shown when just using includes in the global namespace.
* FIXED:    Class diagram was broken due to changes in namespace handling; fixed this now
* FIXED:    Navigation now remembers what you have selected
* ADDED:    PDF generation using wkhtmltopdf (http://code.google.com/p/wkhtmltopdf/); try it by adding: '--template pdf'
            to your call to 'transform'.
* ADDED:    Support for multiple types with an @param, @var and @return separated by the | character, i.e.: class1|class2
* ADDED:    Support for object array notation in all types (i.e. @param, @var, @return), for example: class1[]
* FIXED:    Namespace tree was still visible, even if you had no namespaces
* FIXED:    Changed Graph to be shown for fully on the landing page but full size when you click on the detail
* FIXED:    Descriptions of class properties were not shown if it only consisted of the @var description text; only the
            Short and Long description were shown
* FIXED:    Default value for a class property was not shown
* ADDED:    A warning is now thrown whenever the variable name of a function argument does not match the name defined
            in the DocBlock
* ADDED:    A warning is now thrown whenever a variable is not represented in the DocBlock
* ADDED:    When only 1 package exists in the project it is made 'static' and the subpackages are automatically expanded
* FIXED:    Encountered two docblock types which weren't parsed correctly; fixed by RichardJ

02/19/2011: Version 0.8: fix known issues
-----------------------------------------

* ADDED:    Support for array notation of types (i.e. string[] or MyClass[])
* ADDED:    Support for the T_USE token (namespace aliasing)
* FIXED:    PHP 5.2.6 compatibility was restored; changed in the previous versions broke this
* FIXED:    Improved file character encoding methods; using forward compatibility (uses finfo when available)
* FIXED:    renamed config.xml to doctrine.config.xml to help Jenkins config
* ADDED:    transformer now also checks the version of phpDocumentor vs. the structure.xml; if  it differs you need to
            regenerate your structure.xml
* FIXED:    phpDocumentor no longer tries to find the log directory in the working directory but in the phpDocumentor root
* ADDED:    Replaced Zend_Reflector_DocBlock with a new phpDocumentor_Reflector_DocBlock set of classes, this fixes
            among others the following issues:
            - Multi-line short descriptions were not possible
            - Short descriptions now end if a closing dot is encountered (dot not in a word)
            - Multi-line tags are now possible
            - Correct handling of unicode characters in tags
* FIXED:    Bodyless methods (abstract or interface) kept searching for an opening brace and thus took the braces of
            the next structure. Now the code recognizes bodyless methods and skips trying to find a body.
* FIXED:    Structures without DocBlocks would use the DocBlock within 10 tokens; sometimes incorrectly using
            the DocBlock of another structure.
* ADDED:    phpDocumentor now recognizes inline tags in long descriptions; the data is not yet included in the structure.xml

02/01/2011: Version 0.7: Enhance docblock support, add new template and improve theming
---------------------

* FIXED:    Generated paths where set absolute to the file system preventing the running of generated output in a webserver
* FIXED:    Namespaces where not included in the extend and implement xml nodes
* FIXED:    Class hierarchy chart entered an endless recursion if a class extended another class with the same name in a different namespace
* FIXED:    Closures break the parser, phpDocumentor_Reflection_Function::findName assumes to find one but closures do not have a name. Closures receive the name 'Closure'
* ADDED:    Line numbers to all objects in the xml output
* ADDED:    Add links to other classes with the @param and @return annotation information
* FIXED:    Namespace support was not converting local class notation to a full_name class notation (including namespaces)
* FIXED:    Namespace was not registered with anything else other than a file, class or interface
* ADDED:    Property @var tag also links to other files
* ADDED:    AJAX search box for larger projects, use the option '--search=Ajax' with the transformer to use it
* ADDED:    NONE search option to disable the search action, use the option '--search=None' with the transformer to use it
* ADDED:    New theme
* FIXED:    Theming did not support different XSL files per theme. this has now been fixed
* BC-BREAK: Namespaces and their sub-spaces are now stored hierarchically at the bottom of the XML file, this used to
            be a flat list
* ADDED:    Themes can now preprocess XSL templates present in the 'preprocess' folder and store them in memory to
            speed up parsing of seldom changing data
* FIXED:    variables in methods were recognized as properties when enclosed in accolades (thanks for noticing @pmjones)
* FIXED:    Improved performance by changing hash from md5 to filemtime (thanks to @pmjones for this tip!)
* ADDED:    Recognition of file character encoding and conversion to UTF-8 (thanks to @dzuelke)
* FIXED:    Improved performance by disabling the PHP Lint check by default; can be enabled using the --validate option
* ADDED:    Make packages foldable as i done with namespaces (no support for subpackages yet!) (thanks to @pmjones)
* FIXED:    Support for Unicode characters in @author annotations
* FIXED:    The generation of filenames for the transformation process produced the wrong names on Windows. A '/' was
            hardcoded while this should have been a DIRECTORY_SEPARATOR
* ADDED:    Version to parsed data (structure.xml) and enforce a full re-parse when the version number has changed
* BC-BREAK: Packages and subpackages are now stored hierarchically at the bottom of the XML file, this used to
            be a flat list
* ADDED:    Added support for the @subpackage in the sidebar of the default theme
* FIXED:    Renamed default template to default template
* ADDED:    Added search capabilities to default template (does not work in Chrome when running locally)

10/29/2010: Version 0.6: Add configuration files, clean up and fixes
---------------------

* FIXED:   Ignore path argument was broken, made fixes
* FIXED:   Added more comments to the code
* ADDED:   changelog
* CHANGED: TODO to have more of a roadmap function
* ADDED:   Zend_Config support for projects and default configuration (command-line options override settings)
* FIXED:   Capture STDERR message when graphviz is not installed (ClassGraph.php:26)
* CHANGED: Get Transformation Writer from Config
* CHANGED: separated source and target parameter for transform.php
* ADDED:   license (information)
* ADDED:   output format parameter to transform.php
* FIXED:   Properties sidebar of class goes out of bounds if the tags are too big
* ADDED:   line numbers to markers
